
import 'dart:html';

import 'package:flutter/cupertino.dart';
import 'package:taskservice/Common/JXColors.dart';
import 'package:taskservice/Model/JXServiceModel.dart';
import 'package:taskservice/src/custom_widgets.dart';

class CreateAddService extends StatefulWidget {
  @override
  _CreateAddService createState() => _CreateAddService();
}

class _CreateAddService extends State<CreateAddService> {
  /*服务*/
  JXServiceModel _service;
  /*类型*/
  TextEditingController kindController = TextEditingController();

  @override
  void initState() {
    // TODO: implement initState
    super.initState();
    _service = JXServiceModel();
  }

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return MyScaffold(
        title: '编辑服务',
        body: Column(
          children: <Widget>[
            Expanded(
              child: Column(
                children: <Widget>[
                  Container(
                    padding: EdgeInsets.all(0),
                    width: MediaQuery.of(context).size.width,
                    height: 46.0,
                    child: EditCell(
                      mark: '类型',
                      hint: '请输入类型',
                      controller: kindController,
                      onEditingComplete: (value){
                        _service.kind = value;
                      },
                    ),
                  ),
                  Container(
                    padding: EdgeInsets.all(0),
                    width: MediaQuery.of(context).size.width,
                    height: 46.0,
                    child: Row(
                      children: <Widget>[

                      ],
                    ),
                  ),
                ],
              ),
            ),
            Container(
              padding: EdgeInsets.all(0),
              width: MediaQuery.of(context).size.width,
              height: 44.0,
              child: CupertinoButton(
                onPressed: saveBtnClickAction,
                color: JXColors.k101E40,
                borderRadius: BorderRadius.all(Radius.circular(0)),
                child: Text(
                  '保存',
                  style: TextStyle(
                    fontSize: 14,
                    color: JXColors.kFFFFFF,
                  ),
                ),
              ),
            )
          ],
        ),);
  }

  /*保存*/
  void saveBtnClickAction() {
    print('保存');
  }

  /*输入框*/
}